package postgres

import (
	// imports the driver.
	"git.i2edu.net/i2/go-zero/core/stores/sqlx"
	_ "github.com/lib/pq"
)

const postgresDriverName = "postgres"

// New returns a postgres connection.
func New(datasource string, opts ...sqlx.SqlOption) sqlx.SqlConn {
	return sqlx.NewSqlConn(postgresDriverName, datasource, opts...)
}
